Bug 473283 - Keyboard not responding
Keyboard not responding
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 09:14 EST by Need Real Name
Modified: 2009-12-18 01:58 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg - first boot of the laptop (47.80 KB, text/plain)
2009-04-03 07:53 EDT, Marek Zukal
no flags Details
dmesg - rebooted laptop (39.81 KB, text/plain)
2009-04-03 07:56 EDT, Marek Zukal
no flags Details

  None (edit)
Description Need Real Name 2008-11-27 09:14:59 EST
Description of problem:
Dell Vostro 1710 laptop: Booting stops to ask password for encrypted hard drive (it's the default F10-partition). At this point the laptop's keyboard stops responding. When plugging in an external USB-keyboard, you get an operational keyboard (the external) and booting goes on without other problems. Rebooting the laptop gives a normal boot without laptop's keyboard problems, but booting after shutdown demands again the external keyboard. There were no such problems with Fedora 9.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Booting after shutdown
2.
3.
  
Actual results: Dead keyboard


Expected results: Working keyboard


Additional info: No such problems with Fedora 9
Comment 1 Milan Broz 2008-11-27 09:31:36 EST
Taht seems to be kernel problem with initialization of some devices.
Comment 2 Chuck Ebbert 2008-11-28 14:11:09 EST
Does booting with the kernel option "i8042.nomux=1" help?
Comment 3 Need Real Name 2008-12-02 04:23:26 EST
Kernel option "i8042.nomux=1" does not help.

I commented out "rhgb quiet" to see what happens, when booting goes on:
At the booting-point 

Setting up disk encryption:/dev/sda2
Password:

Booting stops to get the password and the keyboard is dead.

But when rebooting, it goes like this:

Setting up disk encryption:/dev/sda2
Password: input: PS/2 Mouse as /devices/platform/i8042/serio1/input/input6
input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input7

Here booting stops to get the password and now the keyboard is alive, so I can give the password and the booting goes on without any trouble.

If it matters: With Fedora-9 I had Seagate Momentus 7200.3 SATA -harddisk, but with the Fedora-10 I use OCZ Core Series V2 SATA II Solid State Drive.

Bengt Lindholm

P.S. The F10 os-installer did not install irqbalance (the cpu is an Intel Core 2 Duo CPU), I had to install it manually. The Service Configuration -application tells, that this service is enabled but stopped and I can't get it started. What to do?
Comment 4 Marek Zukal 2008-12-05 02:29:37 EST
I am experiencing the same thing on my Dell Vostro 1310 recently upgraded from F9. Touchpad is also dead. Reboot solves both things. Alternative approach is to plug in an external mouse and make the notebook sleep and wake up. However this kicks on only the keyboard.
Comment 5 Brad Davis 2009-02-09 12:24:40 EST
I've been seeing this on my Dell Inspiron 600m since upgrading from Fedora 9.  Oddly, while the applications in X don't respond to the keyboard, using the Ctrl-Alt-Backspace combination to force X to restart brings the keyboard back to life for a short while.
Comment 6 Jan Včelák 2009-03-24 07:13:08 EDT
I've the same problem on my Dell Vostro 1510. From time to time, immediately after starting kernel, the keyboard and touchpad stop respoding. (In GRUB keyboard works.)

After reboot (rarely after two) it starts working.

(USB keyboard works.)

Managed to reproduce on: Fedora 10, Ubuntu 8.10 (with distributional kernels).
Comment 7 Colin Kuskie 2009-03-28 23:31:59 EDT
I also have a Dell Vostro 1510.  Upgraded from FC9 to FC10.  The problem occurs much more frequently when I boot without the power adapter plugged in.
Comment 8 Marek Zukal 2009-04-03 07:53:23 EDT
Created attachment 338024 [details]
dmesg - first boot of the laptop

this is first boot after some time the laptop had been off. Keyboard and touchpad do not work. Interesting part is around line 646.
Comment 9 Marek Zukal 2009-04-03 07:56:20 EDT
Created attachment 338025 [details]
dmesg - rebooted laptop

This is dmesg of rebooted laptop. This time kernel finds the input devices and configures them correctly. Again, interesting part is around line 646.
Comment 10 Bug Zapper 2009-11-18 02:59:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:58:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.